## GtkTooltip GtkTooltip |

## Functions

void | gtk_tooltip_set_markup ()
void | gtk_tooltip_set_text ()
void | gtk_tooltip_set_icon ()
void | gtk_tooltip_set_icon_from_stock ()
void | gtk_tooltip_set_icon_from_icon_name ()
void | gtk_tooltip_set_icon_from_gicon ()
void | gtk_tooltip_set_custom ()
void | gtk_tooltip_trigger_tooltip_query ()
void | gtk_tooltip_set_tip_area ()

## Types and Values

| GtkTooltip

## Object Hierarchy

        GObject
        ╰── GtkTooltip

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_tooltip_set_markup ()

    void
    gtk_tooltip_set_markup (GtkTooltip *tooltip,
                            const gchar *markup);

Sets the text of the tooltip to be `markup` , which is marked up with the Pango text markup language. If `markup` is `NULL`, the label will be hidden.

#### Parameters

tooltip | a GtkTooltip |
markup | a markup string (see Pango markup format) or `NULL`. | [allow-none]

Since: 2.12

### gtk_tooltip_set_text ()

    void
    gtk_tooltip_set_text (GtkTooltip *tooltip,
                          const gchar *text);

Sets the text of the tooltip to be `text` . If `text` is `NULL`, the label will be hidden. See also `gtk_tooltip_set_markup()`.

#### Parameters

tooltip | a GtkTooltip |
text | a text string or `NULL`. | [allow-none]

Since: 2.12

### gtk_tooltip_set_icon ()

    void
    gtk_tooltip_set_icon (GtkTooltip *tooltip,
                          GdkPixbuf *pixbuf);

Sets the icon of the tooltip (which is in front of the text) to be `pixbuf` . If `pixbuf` is `NULL`, the image will be hidden.

#### Parameters

tooltip | a GtkTooltip |
pixbuf | a GdkPixbuf, or `NULL`. | [allow-none]

Since: 2.12

### gtk_tooltip_set_icon_from_stock ()

    void
    gtk_tooltip_set_icon_from_stock (GtkTooltip *tooltip,
                                     const gchar *stock_id,
                                     GtkIconSize size);

Sets the icon of the tooltip (which is in front of the text) to be the stock item indicated by `stock_id` with the size indicated by `size` . If `stock_id` is `NULL`, the image will be hidden.

#### Parameters

tooltip | a GtkTooltip |
stock_id | a stock id, or `NULL`. | [allow-none]
size | a stock icon size. | [type int]

Since: 2.12

### gtk_tooltip_set_icon_from_icon_name ()

    void
    gtk_tooltip_set_icon_from_icon_name (GtkTooltip *tooltip,
                                         const gchar *icon_name,
                                         GtkIconSize size);

Sets the icon of the tooltip (which is in front of the text) to be the icon indicated by `icon_name` with the size indicated by `size` . If `icon_name` is `NULL`, the image will be hidden.

#### Parameters

tooltip | a GtkTooltip |
icon_name | an icon name, or `NULL`. | [allow-none]
size | a stock icon size. | [type int]

Since: 2.14

### gtk_tooltip_set_icon_from_gicon ()

    void
    gtk_tooltip_set_icon_from_gicon (GtkTooltip *tooltip,
                                     GIcon *gicon,
                                     GtkIconSize size);

Sets the icon of the tooltip (which is in front of the text) to be the icon indicated by `gicon` with the size indicated by `size` . If `gicon` is `NULL`, the image will be hidden.

#### Parameters

tooltip | a GtkTooltip |
gicon | a GIcon representing the icon, or `NULL`. | [allow-none]
size | a stock icon size. | [type int]

Since: 2.20

### gtk_tooltip_set_custom ()

    void
    gtk_tooltip_set_custom (GtkTooltip *tooltip,
                            GtkWidget *custom_widget);

Replaces the widget packed into the tooltip with `custom_widget` . `custom_widget` does not get destroyed when the tooltip goes away. By default a box with a GtkImage and GtkLabel is embedded in the tooltip, which can be configured using `gtk_tooltip_set_markup()` and `gtk_tooltip_set_icon()`.

#### Parameters

tooltip | a GtkTooltip |
custom_widget | a GtkWidget, or `NULL` to unset the old custom widget. | [allow-none]

Since: 2.12

### gtk_tooltip_trigger_tooltip_query ()

    void
    gtk_tooltip_trigger_tooltip_query (GdkDisplay *display);

Triggers a new tooltip query on `display` , in order to update the current visible tooltip, or to show/hide the current tooltip. This function is useful to call when, for example, the state of the widget changed by a key press.

#### Parameters

display | a GdkDisplay |

Since: 2.12

### gtk_tooltip_set_tip_area ()

    void
    gtk_tooltip_set_tip_area (GtkTooltip *tooltip,
                              const GdkRectangle *rect);

Sets the area of the widget, where the contents of this tooltip apply, to be `rect` (in widget coordinates). This is especially useful for properly setting tooltips on GtkTreeView rows and cells, GtkIconViews, etc.

For setting tooltips on GtkTreeView, please refer to the convenience functions for this: `gtk_tree_view_set_tooltip_row()` and `gtk_tree_view_set_tooltip_cell()`.

#### Parameters

tooltip | a GtkTooltip |
rect | a GdkRectangle |

Since: 2.12

## Types and Values

### GtkTooltip

    typedef struct _GtkTooltip GtkTooltip;